import request from '@/utils/request';
//公文库 -列表
export const gwk_list = (data = {}) =>
request({
  url: '/jdbg/gwgl_gw/index',
  data,
});

//公文库 -增加
export const gwk_add = (data = {}) =>
  request({
      url: '/jdbg/gwgl_gw/add',
      data
  })
//公文库 -编辑
export const gwk_edit = (data = {}) =>
request({
    url: '/jdbg/gwgl_gw/edit',
    data
})
//公文库 -删除
export const gwk_del = (data = {}) =>
request({
    url: '/jdbg/gwgl_gw/delete',
    data
})
//公文库 -详情
export const gwk_detail = (data = {}) =>
request({
    url: '/jdbg/gwgl_gw/detail',
    data
})

//导出pdf
export const export_api = (data = {}) =>
request({
    url: '/jdbg/gwgl_gw/index',
    data
})

//导出word
export const exportWord_api = (data = {}) =>
request({
    url: '/jdbg/gwgl_gw/export_word',
    data
})

//项目类别接口-列表..
export const xmlb_list = (data = {}) =>
  request({
    url: '/jdbg/xmlxsb_xmlb/index',
    data
  })
//通用-科室列表（组织机构use_org）
export const org_list = (data = {}) =>
  request({
    url: '/user/org/index',
    data
  });
//
export const org_users = (data = {}) =>
    request({
        url: '/user/main/index',
        data: {
            dept_id:data.dept_id,
            all:'1',
            page: data.page,
            limit:data.limit
        }
    })

export function getDownloadAPI(url) {
  return request({
    url: url,
    responseType: 'blob',
    method: 'GET'
  })
}




